org.mariadb.jdbc.internal.com.send.authentication.gssapi

## Interface GssapiAuth

All Known Implementing Classes:
  StandardGssapiAuthentication, WindowsNativeSspiAuthentication

    public interface GssapiAuth

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `authenticate(PacketOutputStream writer, PacketInputStream in, AtomicInteger sequence, String servicePrincipalName, String mechanisms)`

### Method Detail

#### authenticate

    void authenticate(PacketOutputStream writer,
                      PacketInputStream in,
                      AtomicInteger sequence,
                      String servicePrincipalName,
                      String mechanisms)
               throws SQLException,
                      IOException

Throws:
  `SQLException`
  `IOException`